Page MenuHomePhabricator

Request increased quota for Automation Framework Cloud VPS project
Closed, ResolvedPublic

Description

Project Name: automation-framework
Type of quota increase requested: 2 instances, 2 vCPUs, 4G RAM
Reason: The automation framework project contains test instances for several infrastructure components which in their current state are needed for separate testing. We are undertaking some major changes to the Netbox infrastructure, and need some additional instances to develop these aspects separate from current test instances.

Event Timeline

crusnov created this task.May 21 2019, 6:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2019, 6:15 PM

+1 approved in the WMCS team meeting.

aborrero assigned this task to bd808.May 28 2019, 4:40 PM
$ sudo wmcs-openstack quota show automation-framework
+----------------------+----------------------+
| Field                | Value                |
+----------------------+----------------------+
| cores                | 8                    |
| fixed-ips            | 200                  |
| floating_ips         | 0                    |
| floatingip           | 0                    |
| injected-file-size   | 10240                |
| injected-files       | 5                    |
| injected-path-size   | 255                  |
| instances            | 8                    |
| key-pairs            | 100                  |
| network              | 10                   |
| port                 | 50                   |
| project              | automation-framework |
| properties           | 128                  |
| ram                  | 16384                |
| rbac_policy          | 10                   |
| router               | 10                   |
| secgroup-rules       | 100                  |
| secgroups            | 40                   |
| server_group_members | 10                   |
| server_groups        | 10                   |
| subnet               | 10                   |
| subnetpool           | -1                   |
+----------------------+----------------------+
$ sudo wmcs-openstack quota set --cores 10 --ram 20480 --instances 10 automation-framework
$ sudo wmcs-openstack quota show automation-framework
+----------------------+----------------------+
| Field                | Value                |
+----------------------+----------------------+
| cores                | 10                   |
| fixed-ips            | 200                  |
| floating_ips         | 0                    |
| floatingip           | 0                    |
| injected-file-size   | 10240                |
| injected-files       | 5                    |
| injected-path-size   | 255                  |
| instances            | 10                   |
| key-pairs            | 100                  |
| network              | 10                   |
| port                 | 50                   |
| project              | automation-framework |
| properties           | 128                  |
| ram                  | 20480                |
| rbac_policy          | 10                   |
| router               | 10                   |
| secgroup-rules       | 100                  |
| secgroups            | 40                   |
| server_group_members | 10                   |
| server_groups        | 10                   |
| subnet               | 10                   |
| subnetpool           | -1                   |
+----------------------+----------------------+

Mentioned in SAL (#wikimedia-cloud) [2019-05-31T22:59:40Z] <bd808> Increased quota for cores, ram, and instances (T224057)

bd808 closed this task as Resolved.May 31 2019, 10:59 PM